## com.imcode.imcms.servlet.superadmin
Class LinkCheck.TextLink

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.LinkCheck.Link
          com.imcode.imcms.servlet.superadmin.LinkCheck.TextDocumentElementLink
              com.imcode.imcms.servlet.superadmin.LinkCheck.TextLink

Enclosing class:
  LinkCheck

    public static class LinkCheck.TextLink

extends LinkCheck.TextDocumentElementLink

Field Summary

Fields inherited from class com.imcode.imcms.servlet.superadmin.LinkCheck.TextDocumentElementLink
`index, textDocument, url`

Constructor Summary
`LinkCheck.TextLink(TextDocumentDomainObject textDocument, int index, java.lang.String url, javax.servlet.http.HttpServletRequest request)`

Method Summary

Methods inherited from class com.imcode.imcms.servlet.superadmin.LinkCheck.TextDocumentElementLink
`getDocument, getIndex, getUrl`

Methods inherited from class com.imcode.imcms.servlet.superadmin.LinkCheck.Link
`fixSchemeLessUrl, isCheckable, isHostFound, isHostReachable, isOk`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkCheck.TextLink

    public LinkCheck.TextLink(TextDocumentDomainObject textDocument,
                              int index,
                              java.lang.String url,
                              javax.servlet.http.HttpServletRequest request)